
use mondial
go

-- retrofit to the original query
DECLARE @GeoRSS xml;

WITH XMLNAMESPACES('http://www.georss.org/georss' as georss, 'http://www.opengis.net/gml' as gml,  DEFAULT'http://www.w3.org/2005/Atom')
SELECT @GeoRSS = (
SELECT Name AS title, 
       'City of ' + Name as description, 
       geog.AsGml().query('declare namespace gml = "http://www.opengis.net/gml";
for $child in /*
return
if (fn:local-name($child) = "Point") 
        then  <gml:Point> { $child/* } </gml:Point>
else  if (fn:local-name($child) = "LineString") 
        then  <gml:LineString> { $child/* } </gml:LineString>
else ()
') AS [georss:where] 
FROM city
WHERE Name like 'Aa%' AND geog IS NOT NULL
FOR XML PATH('entry'), ROOT('feed'));

SET @GeoRSS.modify('declare default element namespace "http://www.w3.org/2005/Atom";
 insert <title>SQL Server GeoRSS Feed</title> as first into (/feed)[1]');
SELECT @GeoRSS
