alter database pubs set trustworthy on
go

use pubs
go

create assembly geocode from 'C:\temp\MappointGeocoder.dll'
with permission_set = external_access
go

create assembly ser from 'C:\temp\MappointGeocoder.XmlSerializers.dll'
go

create function dbo.geocode (@address nvarchar(4000))
returns nvarchar(100)
as
external name geocode.[Spatial.MpGeocoder].Geocode
go

select dbo.geocode('195 SW 88th Ave, Portland, OR, 97225');
go

drop function geocode
drop assembly ser
drop assembly geocode